Python-2.7.13.eb 1.61 KB
Newer Older
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
# Built with EasyBuild version 2.8.0 on 2016-07-13_09-40-51
easyblock = "EB_Python"
name = 'Python'
version = '2.7.13'

homepage = 'http://python.org/'
description = "Python is a programming language that lets you work more quickly and integrate your systems more effectively."

toolchain = {'name': 'dummy', 'version': ''}
toolchainopts = {'pic': True, 'opt': True, 'optarch': True}

source_urls = ['http://www.python.org/ftp/%(namelower)s/%(version)s/']
sources = [SOURCE_TGZ]

# python needs bzip2 to build the bz2 package
dependencies = [
    ('bzip2', '1.0.6'),
    ('zlib', '1.2.8'),
    ('libreadline', '6.3'),
    ('ncurses', '5.9'),
    ('SQLite', '3.8.8.1'),
#   ('OpenSSL', '1.0.1k'),  # OS dependency should be preferred if the os version is more recent then this version, it's
#   nice to have an up to date openssl for security reasons
]

osdependencies = [('openssl-devel', 'libssl-dev', 'libopenssl-devel')]

#buildopts = 'CPPFLAGS="-I/apps/all/bzip2/1.0.6/include -I/apps/all/zlib/1.2.8/include -I/apps/all/ncurses/5.9/include -I/apps/all/SQLite/3.8.8.1/include" LDFLAGS="-L/apps/all/bzip2/1.0.6/lib -L/apps/all/zlib/1.2.8/lib -L/apps/all/ncurses/5.9/lib -L/apps/all/SQLite/3.8.8.1/lib:$CPPFLAGS"'

# order is important!
# package versions updated Jan 19th 2015
exts_list = [
    ('setuptools', '11.3.1', {
        'source_urls': ['http://pypi.python.org/packages/source/s/setuptools/'],
    }),
    ('pip', '6.0.6', {
        'source_urls': ['http://pypi.python.org/packages/source/p/pip/'],
    }),
    ('nose', '1.3.4', {
        'source_urls': ['http://pypi.python.org/packages/source/n/nose/'],
    }),
]

moduleclass = 'lang'